Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "programSubscribe",
"params": [
"11111111111111111111111111111111",
{
"encoding": "base64",
"commitment": "finalized"
}
]
}Websockets
Program subscribe
Subscribe to writes to accounts owned by the specified program. Save the subscription ID returned in result and match it against params.subscription in notifications. Use programUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "programSubscribe",
"params": [
"11111111111111111111111111111111",
{
"encoding": "base64",
"commitment": "finalized"
}
]
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
programSubscribe
type:object
Subscribe to program accounts
Was this page helpful?